#!/usr/bin/env python

from gimpfu import *
from time import *
from os.path import *

# create an output function that redirects to gimp's Error Console
def gprint( text ):
    pdb.gimp_message(text)
    return 

def python_whiteboard_from_path(img, layer):
    # do the real work here
    images = gimp.image_list()
    #gprint(images) 
    for image in images[:]:
        pdb.gimp_image_scale(image, 1024, 768)
        filepath = image.filename
        #gprint(filepath)
        datestring = strftime("%Y%m%d%M",localtime(getmtime(filepath)))
        #gprint(datestring)
        #gprint("Start iteration.")
        vectors = pdb.gimp_image_get_active_vectors(image)
        nstrokes, strokes = pdb.gimp_vectors_get_strokes(vectors)
        stoke_type, n_points, points, closed = pdb.gimp_vectors_stroke_get_points(vectors, strokes[0])
        #gprint("after get points")
        x0 = points[0]
        y0 = points[1]
        x1 = points[6]
        y1 = points[7]
        x2 = points[12]
        y2 = points[13]
        x3 = points[18]
        y3 = points[19]
        drawable = pdb.gimp_image_active_drawable(image)
        pdb.gimp_drawable_transform_perspective(drawable, x0, y0, x1, y1, x3, y3, x2, y2, TRANSFORM_BACKWARD, 2, TRUE, 3, TRANSFORM_RESIZE_ADJUST)
        pdb.script_fu_whiteboard(image,drawable)
        #gprint("Made it to after whiteboard clean up.")
        pdb.gimp_displays_flush()
        #gprint("made it after flush.")
        #gprint(dirname(filepath))
        #newfilename = "/media/people/public_html/ClassNotes/ENGR357/2011/Background/" + datestring + basename(image.filename)
        if dirname(filepath) == "/home/frohro/Araya Classes/Electronics/Photos 357 2011":
            newfilename = "/media/people/public_html/ClassNotes/ENGR357/2011/Background/" + datestring+ "Bg" + basename(image.filename)
        if dirname(filepath) == "/home/frohro/Araya Classes/Analog Design/Photos 2011":
            newfilename = "/media/people/public_html/ClassNotes/ENGR432/2011/Background/" + datestring + "Bg" + basename(image.filename)
        #gprint(newfilename)
        drawable = pdb.gimp_image_active_drawable(image)
        pdb.file_jpeg_save(image,drawable,newfilename, newfilename, 0.30, 0, 1, 0, "", 0, 1, 0, 0)
        
    return
    
register(
    "python_fu_whiteboard_from_path",
	"Prepare Whiteboard Photos",
	"Prepare whiteboard photos for Rob's Class Notes",
	"Rob Frohne",
	"(c) Rob Frohne",
	"2011",
	"Prepare Whiteboard...",
	"*",
	[
          (PF_IMAGE, "image", "Input image", None),
          (PF_DRAWABLE, "drawable", "Input layer", None)
	],
	[],
	python_whiteboard_from_path,
    menu="<Image>/Filters/Distorts")

main()
